#!/bin/sh

BAM=$1
OUTPUT=$2
nt=$3

samtools sort -@ ${nt} -n -o namesort.bam ${BAM}
samtools fixmate -r -m namesort.bam fixmate.bam
samtools sort -@ ${nt} -o positionsort.bam fixmate.bam
samtools markdup -r -s -S positionsort.bam ${OUTPUT}
samtools index ${OUTPUT}
samtools sort -@ ${nt} -n positionsort.bam -o ${OUTPUT}
rm fixmate.bam positionsort.bam
